## sdcc 4.2.0~osmocom3.113.9edd

=== debian/changelog ===
sdcc (4.2.0~osmocom3.113.9edd) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom master feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 29 Sep 2025 07:20:34 +0000

sdcc (4.2.0~osmocom3) unstable; urgency=medium

  * debian: don't build documentation

 -- Oliver Smith <osmith@sysmocom.de>  Mon, 29 Sep 2025 09:17:52 +0200
