=== debian/control ===
Source: sdcc
Section: electronics
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
	Jonathan McDowell <noodles@earth.li>
Build-Depends: bison,
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1~),
               flex,
               gputils,
               libboost-dev,
               libncurses5-dev,
               libtool,
               zlib1g-dev
Standards-Version: 4.4.1
Homepage: http://sdcc.sourceforge.net
Vcs-Git: https://salsa.debian.org/electronics-team/sdcc.git
Vcs-Browser: https://salsa.debian.org/electronics-team/sdcc

Package: sdcc
Architecture: any
Depends: sdcc-libraries (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: python, sdcc-ucsim
Breaks: sdcc-ucsim (<< 3.5.0)
Replaces: sdcc-ucsim (<< 3.5.0)
Description: Small Device C Compiler
 SDCC is a C compiler for the Intel MCS51 family, HC08, PIC,
 GameBoy Z80, DS80S390, Z80, Z180 and STM8 microcontrollers.
 .
 This package includes the compiler, assemblers and linkers.

Package: sdcc-libraries
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gputils
Description: Small Device C Compiler (libraries)
 SDCC is a C compiler for the Intel MCS51 family, HC08, PIC,
 GameBoy Z80, DS80S390, Z80, Z180 and STM8 microcontrollers.
 .
 This package contains the core library for SDCC.

Package: sdcc-ucsim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sdcc
Replaces: sdcc-ucsim-snapshot
Description: Micro-controller simulator for SDCC
 uCsim is a microcontroller simulator. It is extensible to support
 different microcontroller families. It currently supports Intel
 MCS51 family, HC08 and Z80 microcontrollers.
