=== sim/ucsim/avr.src/test/config/Makefile ===
OUTPUTS = AVR


$(OUTPUTS):
	$(call run-sim, -e 'conf; info reg; info mem')


include test-lib.mk
