=== sim/ucsim/m6800.src/test/config/Makefile ===
OUTPUTS = M6800


$(OUTPUTS):
	$(call run-sim, -e 'conf; info reg; info mem')


include test-lib.mk
