=== sim/ucsim/p1516.src/test/config/Makefile ===
OUTPUTS = P1516


$(OUTPUTS):
	$(call run-sim, -e 'conf; info reg; info mem')


include test-lib.mk
