=== sim/ucsim/s51.src/test/banker/Makefile ===
OUTPUTS = C51 517


$(OUTPUTS): %:	test-%.cmd
	$(call run-sim, -t $@)


include test-lib.mk
