=== sim/ucsim/tlcs.src/test/config/Makefile ===
OUTPUTS = TLCS


$(OUTPUTS):
	$(call run-sim, -e 'conf; info reg; info mem')


include test-lib.mk
