=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,6 @@
 export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
-
-# GCC 15 changes the default to C23, breaking this version of SDCC. Revert it.
-# https://www.gnu.org/software//gcc/gcc-15/porting_to.html#c23
-CFLAGS += -std=gnu17
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -89,6 +85,7 @@
 build-indep: build-indep-stamp
 build-indep-stamp: configure-stamp
 	dh_testdir
+	cd doc && make
 	touch $@
 
 install: install-arch install-indep
@@ -98,6 +95,11 @@
 	dh_installdirs 
 	dh_prep
 	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
+	mkdir -p debian/tmp/usr/share/doc/sdcc-doc
+	install -o root -g root -m 644 doc/sdccman.pdf debian/tmp/usr/share/doc/sdcc-doc
+	mv debian/tmp/usr/share/doc/sdcc/* debian/tmp/usr/share/doc/sdcc-doc/
+	rm -f debian/tmp/usr/share/doc/sdcc-doc/z80/combined_i186_z80_design.tex
+	rm -f debian/tmp/usr/share/doc/sdcc-doc/z80/Makefile
 	#Remove extra license file
 	rm -f $(CURDIR)/debian/tmp/usr/share/sdcc/lib/src/pic16/COPYING
 	# Remove empty dirs:
@@ -141,8 +143,8 @@
 	rm -rf `find $(CURDIR)/debian/tmp -type d -name .deps`
 	# Add some scripts
 	mkdir -p debian/tmp/usr/share/sdcc/scripts
-	install -m 755  support/scripts/*.pl debian/tmp/usr/share/sdcc/scripts
-	install -m 755  support/scripts/*.py debian/tmp/usr/share/sdcc/scripts
+	install -o root -g root -m 755  support/scripts/*.pl debian/tmp/usr/share/sdcc/scripts
+	install -o root -g root -m 755  support/scripts/*.py debian/tmp/usr/share/sdcc/scripts
 	# Remove an unnecessary script 
 	rm -f debian/tmp/usr/share/sdcc/scripts/gen_known_bugs.pl
 	dh_install -a --sourcedir=debian/tmp --list-missing
@@ -155,6 +157,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
+	dh_installdocs
 	dh_installman
 	#dh_installexamples -psdcc-doc device/examples/* -X\.bat  
 	dh_installemacsen
