## sdcc 4.4.0%2Bdfsg

=== sim/ucsim/mos6502.src/test/config/Makefile ===
OUTPUTS = MOS6502


$(OUTPUTS):
	$(call run-sim, -e 'conf; info reg; info mem')


include test-lib.mk
