=== sim/ucsim/stm8.src/test/vcd-op/Makefile ===
OUTPUTS = stdout


$(OUTPUTS):	test.cmd
	$(call run-sim)


include test-lib.mk
