=== sim/ucsim/i8085.src/test/config/Makefile ===
OUTPUTS = I8085


$(OUTPUTS):
	$(call run-sim, -e 'conf; info reg; info mem')


include test-lib.mk
