=== sim/ucsim/s51.src/test/mdu/Makefile ===
OUTPUTS = 517


$(OUTPUTS): %:	test-%.cmd
	$(call run-sim, -t $@)


include test-lib.mk
