=== sim/ucsim/sim.src/test/legal/Makefile ===
OUTPUTS = legal


legal: legal.cmd
	$(call run-sim)


include test-lib.mk
