=== sim/ucsim/stm8.src/test/clk/Makefile ===
OUTPUTS = stdout

TYPE = S005


stdout:	test.cmd test.ihx
	$(call run-sim)


include test-lib.mk
