=== debian/changelog ===
sdcc (4.4.0+dfsg-2) unstable; urgency=medium

  * Include libexec/…/cc1 (Closes: #1067263)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 20 Mar 2024 22:01:35 +0000

sdcc (4.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    * Update for ucsim_ renames on simulators
  * Pull in upstream fix for builds with LyX 2.4 (Closes: #1064731)
  * Add missing sdas6500 (Closes: #1057130)
  * Move to debhelper compat level 13
  * Switch from libncurses5-dev to libncurses-dev build-dep
  * Add lintian override for missing-source false positive
    (sim/ucsim/doc/cmd_general.html)
  * Switch as2gbmap over to Python 3
  * Update [git-import-orig] to [import-orig] for debian/gbp.conf

 -- Jonathan McDowell <noodles@earth.li>  Mon, 18 Mar 2024 10:54:34 +0000
