=== debian/control ===
--- 
+++ 
@@ -1,18 +1,29 @@
 Source: sdcc
 Section: electronics
 Priority: optional
-Maintainer: Osmocom team <openbsc@lists.osmocom.org>
+Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 	Jonathan McDowell <noodles@earth.li>
 Build-Depends: bison,
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                flex,
                gputils,
                libboost-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libtool,
+               texinfo,
                zlib1g-dev
+Build-Depends-Indep: ghostscript,
+                     graphicsmagick-imagemagick-compat,
+                     lyx,
+                     texlive-fonts-recommended,
+                     texlive-font-utils,
+                     texlive-plain-generic,
+                     texlive-latex-recommended,
+                     texlive-latex-extra,
+                     gsfonts,
+                     librsvg2-bin
 Standards-Version: 4.4.1
 Homepage: http://sdcc.sourceforge.net
 Vcs-Git: https://salsa.debian.org/electronics-team/sdcc.git
@@ -23,7 +34,8 @@
 Depends: sdcc-libraries (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: python, sdcc-ucsim
+Recommends: sdcc-doc
+Suggests: python3, sdcc-ucsim
 Breaks: sdcc-ucsim (<< 3.5.0)
 Replaces: sdcc-ucsim (<< 3.5.0)
 Description: Small Device C Compiler
@@ -52,3 +64,16 @@
  uCsim is a microcontroller simulator. It is extensible to support
  different microcontroller families. It currently supports Intel
  MCS51 family, HC08 and Z80 microcontrollers.
+
+Package: sdcc-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Suggests: sdcc
+Description: Small Device C Compiler (documentation)
+ SDCC is a C compiler for the Intel MCS51 family, HC08, PIC,
+ GameBoy Z80, DS80S390, Z80, Z180 and STM8 microcontrollers.
+ .
+ This package provides the documentation and examples for the
+ SDCC compiler.
