=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
+export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow optimize=-lto
 export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
@@ -136,6 +136,9 @@
 	rm -f $(CURDIR)/debian/tmp/usr/bin/sdldz80
 	cd $(CURDIR)/debian/tmp/usr/bin/ && ln -s sdld sdldz80
 
+	# s51 == ucsim_51
+	rm -f $(CURDIR)/debian/tmp/usr/bin/s51
+
 	# Remove empty dirs:
 	find $(CURDIR)/debian/tmp -type d -empty -delete
 
@@ -147,7 +150,8 @@
 	install -o root -g root -m 755  support/scripts/*.py debian/tmp/usr/share/sdcc/scripts
 	# Remove an unnecessary script 
 	rm -f debian/tmp/usr/share/sdcc/scripts/gen_known_bugs.pl
-	dh_install -a --sourcedir=debian/tmp --list-missing
+	dh_install -a --sourcedir=debian/tmp
+	dh_missing --list-missing
 
 	touch $@
