## sdcc 4.5.0%2Bdfsg

=== sim/ucsim/src/sims/m6809.src/test/config/Makefile ===
OUTPUTS = M6809


$(OUTPUTS):
	$(call run-sim, -e 'conf; info reg; info mem')


include test-lib.mk
