=== sim/ucsim/src/sims/m68hc11.src/test/config/Makefile ===
OUTPUTS = M68HC11


$(OUTPUTS):
	$(call run-sim, -e 'conf; info reg; info mem')


include test-lib.mk
