=== sim/ucsim/src/sims/s51.src/test/bander/Makefile ===
OUTPUTS = 51


$(OUTPUTS): %:	test-%.cmd
	$(call run-sim, -t $@)


include test-lib.mk
