=== sim/ucsim/src/sims/st7.src/test/config/Makefile ===
OUTPUTS = ST7


$(OUTPUTS):
	$(call run-sim, -e 'conf; info reg; info mem')


include test-lib.mk
