=== sim/ucsim/src/sims/stm8.src/test/stm8-cycles/Makefile ===
DIFF_OPTS += -b
OUTPUTS = stdout

#CPU = stm8
TYPE = S003

$(OUTPUTS):	test.cmd test.ihx
	$(call run-sim)


include test-lib.mk
