=== sim/ucsim/src/sims/stm8.src/test/vcd-out/Makefile ===
OUTPUTS = stdout


$(OUTPUTS):	test.cmd test.ihx
	$(call run-sim)


include test-lib.mk
