=== sim/ucsim/src/sims/xa.src/test/config/Makefile ===
OUTPUTS = XA


$(OUTPUTS):
	$(call run-sim, -e 'conf; info reg; info mem')


include test-lib.mk
