=== debian/changelog ===
sdcc (4.5.0+dfsg-3) unstable; urgency=medium

  * Take #2 at fixing compilation with GCC 15
  * Take #2 at fixing Build-Depends / Build-Depends-Arch
  * Bump Standards-Version to 4.7.2

 -- Jonathan McDowell <noodles@earth.li>  Sun, 07 Sep 2025 17:33:58 +0100

sdcc (4.5.0+dfsg-2) unstable; urgency=medium

  * Fix Build-Depends / Build-Depends-Arch up
  * Fix up compilation with GCC 15 (Closes: #1097865)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 06 Sep 2025 10:10:30 +0100

sdcc (4.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1095426)
    * Drop patches now in upstream release
    * Update paths post upstream re-org
  * Install sdasf8/sdldf8

 -- Jonathan McDowell <noodles@earth.li>  Fri, 14 Mar 2025 12:02:14 +0000

sdcc (4.4.0+dfsg-3) unstable; urgency=medium

  [ Neils Thykier ]
  * Remove need for root when building the package.

  [ Jonathan McDowell ]
  * Drop explicit disabling of LTO (Closes: #1015659)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 31 Dec 2024 12:29:25 +0000
