=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// https://qa.debian.org/watch/sf.php/sdcc/sdcc-src-([0-9]\.[0-9]\.[0-9])\.tar\.bz2 debian uupdate
